Folks.SearchView – folks Reference Manual

# SearchView

## Object Hierarchy:

## Description:

public class SearchView : Object

A view of Individuals which match a given Query.

The search view supports ‘live’ and ‘snapshot’ search results. Live results will continue to update over a long period of time as persona stores go online and offline or individuals are edited so they start or stop matching the Query.

For a shell search provider, for example, snapshot results are appropriate. For a search in a contacts UI, live results are more appropriate as they will update over time as other edits are made in the application.

In both cases, SearchView.individuals is guaranteed to be correct after SearchView.prepare finishes.

For live results, continue listening to the SearchView.individuals_changed_detailed signal.

## Since:

0.11.0

Namespace: Folks
Package: folks

## Content:

### Properties:

- public IndividualAggregator aggregator { get; }
  The IndividualAggregator that this view is based upon.
- public SortedSet<Individual> individuals { get; }
  A sorted set of Individuals which match the search query.
- public bool is_prepared { get; }
  Whether IndividualAggregator.prepare has successfully completed for this view's aggregator.
- public bool is_quiescent { get; }
  Whether the search view has reached a quiescent state. This will happen at some point after IndividualAggregator.prepare has successfully completed for its aggregator.
- public Query query { get; set; }
  The Query that this view is based upon.

### Creation methods:

- public SearchView (IndividualAggregator aggregator, Query query)
  Create a new view of Individuals matching a given query.

### Methods:

- public async void prepare () throws Error
  Prepare the view for use.
- public async void refresh () throws Error
  Refresh the view’s results.
- public async void unprepare () throws Error
  Clean up and release resources used by the search view.

### Signals:

- public signal void individuals_changed_detailed (SortedSet<Individual> added, SortedSet<Individual> removed)
  Emitted when one or more Individuals are added to or removed from the view.

### Inherited Members:

All known members inherited from class GLib.Object

- @get
- @new
- @ref
- @set
- add_toggle_ref
- add_weak_pointer
- bind_property
- connect
- constructed
- disconnect
- dispose
- dup_data
- dup_qdata
- force_floating
- freeze_notify
- get_class
- get_data

- get_property
- get_qdata
- get_type
- getv
- interface_find_property
- interface_install_property
- interface_list_properties
- is_floating
- new_valist
- new_with_properties
- newv
- notify
- notify_property
- ref_count
- ref_sink
- remove_toggle_ref
- remove_weak_pointer

- replace_data
- replace_qdata
- set_data
- set_data_full
- set_property
- set_qdata
- set_qdata_full
- set_valist
- setv
- steal_data
- steal_qdata
- thaw_notify
- unref
- watch_closure
- weak_ref
- weak_unref